Bug 101925 - How about -tui binary/symlink in the -tui package?
How about -tui binary/symlink in the -tui package?
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-securitylevel (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-08 02:31 EDT by Dax Kelson
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-14 14:35:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2003-08-08 02:31:49 EDT
Description of problem:

The redhat-config-securitylevel-tui RPM package has the files:

/usr/sbin/lokkit
COPYING-lokkit

How about a symlink from /usr/sbin/lokkit to
/usr/sbin/redhat-config-securitylevel-tui?


Version-Release number of selected component (if applicable):
1.2.0-2.1
Comment 1 Bill Nottingham 2003-08-08 15:02:46 EDT
Hm, perhaps just include redhat-config-securitylevel there; as if you have both
installed, it will run the tui if starting the GUI fails.
Comment 2 Dax Kelson 2003-08-08 15:35:28 EDT
I'm not sure I understand the suggestion.

IMHO, RHL should be consistent in the behavior and deployment of the -tui apps:

For example, the following binaries exist on my RHL9 box:

redhat-config-printer
redhat-config-printer-tui
redhat-config-network
redhat-config-network-tui

Then we have other apps:
up2date
up2date-nox
redhat-switch-mail
redhat-switch-mail-nox
redhat-switch-printer
redhat-switch-printer-nox

That is a whole other issue though.  Basically, pick a single command suffix,
"-nox" or "-tui" and drop the other other one.
Comment 3 Brent Fox 2003-10-14 14:35:07 EDT
Should be fixed in redhat-config-securitylevel-1.2.8-2.

Note You need to log in before you can comment on or make changes to this bug.